Page MenuHomePhabricator

Build robust testing framework for InternetArchiveBot (epic)
Closed, ResolvedPublic

Description

Right now, we've got tests for Checkifdead, but not the core functionality of Cyberbot II.

In order to make more changes, we need a framework so that we don't break something every time we fix something.

Fork repo for building the testing code: https://github.com/wikimedia/Cyberbot_II

Event Timeline

DannyH created this task.Jul 14 2016, 5:07 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 14 2016, 5:07 PM
DannyH set the point value for this task to 8.Jul 14 2016, 5:36 PM
DannyH moved this task from To Be Estimated/Discussed to Estimated on the Community-Tech board.
MusikAnimal raised the priority of this task from Medium to High.
kaldari renamed this task from Build robust testing framework for Cyberbot II to Build robust testing framework for InternetArchiveBot (tracking).Aug 1 2016, 6:16 PM
kaldari renamed this task from Build robust testing framework for InternetArchiveBot (tracking) to Build robust testing framework for InternetArchiveBot (epic).
kaldari removed the point value for this task.
kaldari edited projects, added Community-Tech; removed Community-Tech-Sprint.
kaldari moved this task from Estimated to Older: Tracking Work by Others on the Community-Tech board.
DannyH renamed this task from Build robust testing framework for InternetArchiveBot (epic) to Build robust testing framework for InternetArchiveBot (tracking).Aug 1 2016, 6:18 PM
DannyH added a project: Community-Tech-Sprint.
DannyH renamed this task from Build robust testing framework for InternetArchiveBot (tracking) to Build robust testing framework for InternetArchiveBot (epic).Aug 1 2016, 6:21 PM
bd808 added a project: Epic.Aug 1 2016, 6:54 PM
kaldari updated the task description. (Show Details)Aug 1 2016, 8:52 PM
Cyberpower678 moved this task from Inbox to Tests on the InternetArchiveBot board.Aug 19 2016, 3:50 PM
Cyberpower678 closed this task as Resolved.Dec 15 2016, 10:31 PM

This is done.

Restricted Application reassigned this task from MusikAnimal to Cyberpower678. · View Herald TranscriptDec 15 2016, 10:31 PM
Restricted Application added a subscriber: MusikAnimal.